<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>OsiVolSolverInterface.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/OsiVol/</path>
    <filename>OsiVolSolverInterface_8hpp</filename>
    <includes id="VolVolume_8hpp" name="VolVolume.hpp" local="yes" imported="no">VolVolume.hpp</includes>
    <class kind="class">OsiVolSolverInterface</class>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function">
      <type>void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const double</type>
      <name>OsiVolInfinity</name>
      <anchorfile>OsiVolSolverInterface_8hpp.html</anchorfile>
      <anchor>a3af4750154b872c4c6300d8843b43aa3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>VolVolume.hpp</name>
    <path>/builddir/build/BUILD/Vol-1.5.4/src/</path>
    <filename>VolVolume_8hpp</filename>
    <class kind="struct">VOL_parms</class>
    <class kind="class">VOL_dvector</class>
    <class kind="class">VOL_ivector</class>
    <class kind="class">VOL_primal</class>
    <class kind="class">VOL_dual</class>
    <class kind="class">VOL_swing</class>
    <class kind="class">VOL_alpha_factor</class>
    <class kind="class">VOL_vh</class>
    <class kind="class">VOL_indc</class>
    <class kind="class">VOL_user_hooks</class>
    <class kind="class">VOL_problem</class>
    <member kind="define">
      <type>#define</type>
      <name>VOL_DEBUG</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ac1078389c61ddbd6f815fcd7676c4e50</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_INDEX</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a67ac777cfe1e4fb19ef8340d4d7354ed</anchor>
      <arglist>(i, size)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VOL_TEST_SIZE</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>ab432826bfd1eee23c3bd750b1914cc53</anchor>
      <arglist>(size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolMax</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>a9a3b2b42134b439f1896f30d313545cd</anchor>
      <arglist>(register const T x, register const T y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T</type>
      <name>VolAbs</name>
      <anchorfile>VolVolume_8hpp.html</anchorfile>
      <anchor>aa8e6c0c3fd71c98dfd8df9767c6ef549</anchor>
      <arglist>(register const T x)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</name>
    <filename>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</filename>
    <member kind="function">
      <type></type>
      <name>OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a826835a09e4b4e90cf0c13d89320d1fa</anchor>
      <arglist>(const CoinPackedMatrix &amp;m)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~OsiVolMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ada2acbf763e39fc2747fac0bbc0d73b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>timesMajor</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ae1d076d6a5c90c2e14e8681459c66001</anchor>
      <arglist>(const double *x, double *y) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>majorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a9cfa2d4a619d23d5b4bb65bc2a605312</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minorDim_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ae323ea26d9a61828ccdbfff3ae89dfcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>plusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a358e3487ed22757a17d457e4937d41c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a6c648f052665691e320a3f6dc886e1a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af19bd10e242cb3fcad9e43cff0843b61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>plusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a042a005caaff52c021eee6b859e4d0ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>minusSize_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>af4e59e896a9f01e3c66a143387730635</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusInd_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a7ee1d12c1b82a33c40fc0bd6969bd22d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusStart_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>ac7c9613cbbee566ad806d1852c93511f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int *</type>
      <name>minusLength_</name>
      <anchorfile>classOsiVolSolverInterface_1_1OsiVolMatrixOneMinusOne__.html</anchorfile>
      <anchor>a72cd9d93ed16e395af27bb935cedc7e8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>OsiVolSolverInterface</name>
    <filename>classOsiVolSolverInterface.html</filename>
    <base virtualness="virtual">OsiSolverInterface</base>
    <base>VOL_user_hooks</base>
    <class kind="class">OsiVolSolverInterface::OsiVolMatrixOneMinusOne_</class>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d080a1dc1aca47d8d946940cb9a01f9</anchor>
      <arglist>(double s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af371083842b1f1e107b4c3732431dcb3</anchor>
      <arglist>(const double *colsol)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adc3c9744f16a17fa2af0f6b12c2a9422</anchor>
      <arglist>(const double *rowprice)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialSolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ebb97db84ff8a51509b9992f06bf0d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4fe4715c58806023e74cb9d4bfe9d4d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>branchAndBound</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a56192c678080507f15731c4c69ee2576</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3fc41673f23e0d13336e8f2315ad8ed8</anchor>
      <arglist>(OsiIntParam key, int value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43e795247cbc6f7ff8bb3b50509b186a</anchor>
      <arglist>(OsiDblParam key, double value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e630786512de53623da7fad47e92e44</anchor>
      <arglist>(OsiStrParam key, const std::string &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a229b560a192127f4e00051ea56492e86</anchor>
      <arglist>(OsiIntParam key, int &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a83a92b56a81de510c5d5362aa89559f6</anchor>
      <arglist>(OsiDblParam key, double &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7d17f607499a9401a3d7abd5422f76bc</anchor>
      <arglist>(OsiStrParam key, std::string &amp;value) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAbandoned</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a74130230212afcf9956ef37d481c694f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenOptimal</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac7cc81a5516695961535ef307f26dc3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenPrimalInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a59d3a1ffa382555b82650e095eccbf09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenDualInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c2ecb5ca843bf7aeeb0f000a4f33e7d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPrimalObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7afd464c66a53408e97d26e4b10e8b28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDualObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a563b90c13cbd039828546358ceb90836</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isIterationLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8a9083d84fd6d8c25c308b5a005df010</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getEmptyWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad359a3f00ccccdca47c80d1041899e57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7eae8ba325fb28fa7805c49133d57d3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60ac508098e23acf27baae4ae37556</anchor>
      <arglist>(const CoinWarmStart *warmstart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a44b12eb36763b22cba26327ba9199f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>solveFromHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aff51883da4510d997e39dd2bf6d1de33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unmarkHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0362c9e14f7d07fdb9b7167270afcf93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af8210e683acf1d54605300b17eddcc92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ea7fa90ce76bdd0325f5f732fed0125</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumElements</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a020a482c6e652eed416b4a638436ea4d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a681d05af7cc238b6b2488e4ee2f8f72c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a00e848cbf81d815417ba85bc267871ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>getRowSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acaef3e1276cf683b4ad27a8e7e147e9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRightHandSide</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a52e79b28129ba58e2ce56884ffec10c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae90e5c76c953fedfe748e3d0ee555396</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a79c2484c74bcb085e6f546a3a8ef9093</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1fc95a5f2de4c5718f2c6f6156842d5a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getObjCoefficients</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a178ad116058b3f9c9f7011f40ccf55f7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3002c28e1da9bcba0e504415605e3da7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afc2f6d4e62d23498377b73ac633504ee</anchor>
      <arglist>(int colNumber) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b46580866aa87e35195184f510c64f0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1b794846ca7380dd5e6076002f48bb2e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getInfinity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b4eec77d037094283ec2a29cb4c9325</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5bd63f0808d7249c9d67151f7b8b88f5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aba0dea269d7b98af9a611d187daa0788</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getReducedCost</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ed582061af38451fab4d808b8615981</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowActivity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af0513f14be2b95bf9e0a8c9c62d8eb8e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjValue</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a812f3a9a06a43e9366fd46cdfdddb4c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getIterationCount</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e11deb85ecb15dc9ee974c4ea47b032</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getDualRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aae60505e0c4fd5aa5b90f6e88b485b2c</anchor>
      <arglist>(int maxNumRays, bool fullRay=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getPrimalRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a782ea22ee1f9d4582a3e455bf0bcf754</anchor>
      <arglist>(int maxNumRays) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjCoeff</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d1a2a3354b847d2d27dad37c1c13bd7</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a51c4650dbac138da548b4c4d86fc812e</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24f1ab35bd750441d7631d4737dd768c</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac988cacdabb5e9f7ca5f1174e870c872</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b6321847f1f19f8d8458e0db6f38ca6</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a036cc7ad0c23e9feef8425cd83031151</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2485d04c0e4991ea23498648bb372f9d</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af395ede4b850c6b359aa83a034057ed5</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowType</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad792679d189ca042f1e6f0edcde57e3c</anchor>
      <arglist>(int index, char sense, double rightHandSide, double range)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4ad0b0e8d952fb84f83a1250f9a31559</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetTypes</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a36e688be96b4b7e601cd594bb12f27</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const char *senseList, const double *rhsList, const double *rangeList)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6fd1d3e2a673136e7c4ae5fd1142ea50</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65aeee82e9a153085f7f5b909c68a7c6</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af4b4180e280d858d725bc025c23fd09c</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a692e9fc4a2eae2d5fb6b42ae8be632dc</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5daddb423ec952d1077c8b889ac96e9c</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1bdbb642959ab0792bdbd88adac79a7f</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4e0e754ff11804efc4a2af47d886b53c</anchor>
      <arglist>(const int num, const int *colIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab744a0e21d9e317f948f6c78987b0ffa</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4cbea52611652aaf0770f177957efbe8</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a766a574a8dc202c825f38fb8ca498434</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a660081945278c79aee5374dc1f9d5ce3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26022e9595a58df902ac8f5d67663e25</anchor>
      <arglist>(const int num, const int *rowIndices)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac41b0922f868043944f5d2e7ec104a04</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa3492523b42f0cfecd3f5ddfaa8f9373</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, double *&amp;rowlb, double *&amp;rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae884922d1787a42e40cb876a48959463</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3e5765e8ce5fe8a7870c8998cf40f77</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, char *&amp;rowsen, double *&amp;rowrhs, double *&amp;rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a1ef4400bb8721fd7d6910d60dd4b46</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aefe40fd3c07cd4a8b1898e8fdf3e56a7</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac05ece7535f5ee98272d910577f2257c</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2e1a80224b915bf3e5a809a137b5656d</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;, double objSense=0.0) const</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>VOL_problem *</type>
      <name>volprob</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65011f6e9849a8bc8924b9e07110e947</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acbae7780d832ae3e62e651fc6e5f438d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual OsiSolverInterface *</type>
      <name>clone</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3d2b487857264d18f9ab8a19232540b</anchor>
      <arglist>(bool copyData=true) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfc6d8568d1a8618ae49a7bdf6f0aa90</anchor>
      <arglist>(const OsiVolSolverInterface &amp;)</arglist>
    </member>
    <member kind="function">
      <type>OsiVolSolverInterface &amp;</type>
      <name>operator=</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a30c10817f816dac4aa5107305e4ccb6c</anchor>
      <arglist>(const OsiVolSolverInterface &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41a5645a3787a80a832623b3f4c14050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRlbRub</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae504346709c43c82e95b0757c88fc68b</anchor>
      <arglist>(const int rownum, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRhsSenseRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8bda83f9cad03ea0d9d068d60f786fb0</anchor>
      <arglist>(const int rownum, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromClbCubObj</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa9b025f3c091f2f64884fac64158c771</anchor>
      <arglist>(const int colnum, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyRowCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a288d69036d580107d0f0a701e382582b</anchor>
      <arglist>(const OsiRowCut &amp;rc)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyColCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac965135c34b7d5c049e56f3e9db41097</anchor>
      <arglist>(const OsiColCut &amp;cc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ff89d0bb6f2ec7e8c4655286564450f</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af9c03548fea7f4f4e8168dc56a961f6c</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a92e031f098f71a8a061b14fad497accd</anchor>
      <arglist>(const VOL_problem &amp;, const VOL_dvector &amp;, double &amp;heur_val)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateRowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acf1de69b8c89ebd6aabb73fff5a54941</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateColMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abf883ece6884162da5b3e752675b93c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>checkData_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2d4672471a9956c60b34e45f3bd240ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>compute_rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ada1f02694d77cba2fd808cce9aa9566f</anchor>
      <arglist>(const double *u, double *rc) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>gutsOfDestructor_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa83f9fbc524b649a7f0d07f500415f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a40d8a14a26d069f62a5642846ba159fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a94ef281a85fc2df1863f9a98a06de528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a05a11028122647541c33f202fefc430d</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6641420238ed18381d0a5934458f53b9</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertBoundsToSenses_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8761c3b4b1a38d547b00a2347d08439f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertSensesToBounds_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3ccd3e54a258132b9e7c03b5fc932fa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>test_zero_one_minusone_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11ed9eb302b60e9b512e9566caf1bee0</anchor>
      <arglist>(const CoinPackedMatrix &amp;m) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>objsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a49a8fad6ff7e06424f17f4511d832901</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowpriceHotStart_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a29e5f1fc10b47fe35a9153f8d118461e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumrows_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1f5b780357ae6b5f5dea9e6bb26a0cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>maxNumcols_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a264f84c302b54a5413a8f0b6058d9fdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>VOL_problem</type>
      <name>volprob_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab9ef036ccc569615e1a82772deb11a4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rowMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2c6bb6ab056d8890ca74403f04beee3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>rowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abc6f3b704ca28454f5fa2a1160c1525b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>colMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adfbb1b74d7b196a7d114e01ab7022f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>colMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa45f83d401722012d62e866cb138e9bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>isZeroOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9a43d66116a83248f774c60ef9b92d1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>rowMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa1aee99342795a75863588bf08912ee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>colMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afa67d9059b27f15c637f7ddabc5d4b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7a457af85895b24d2a58d589cc562c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>collower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afabc5f5c35ad58b2360c19ad3b67f999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool *</type>
      <name>continuous_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee4d19e72cb0ee0545121e1d3d2f0826</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3cea4279ed5213b02e54cf6fe0caab4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowlower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a817ab5c159fe916da8fca218d92770b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>rowsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7adff06c89544f6d6b9420f6e16cdc80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a968ca7feb3535e9c5a3256407aef8371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowrange_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a25c1114be8b78ff2793aa9c2fe69fe8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>objcoeffs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab24e216d140d02ce3a48bb0b4927c4ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colsol_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a22559006edd316d7e684deb200236943</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowprice_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26ac3fb6b72c3169cbb76c1140b933ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0eedd79506eade28d3f74ecb0ce965b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>lhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11d3ee46399cc65041a1b54d54aad2e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lagrangeanCost_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a23b24314f4984946a011604e5113d106</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend void</type>
      <name>OsiVolSolverInterfaceUnitTest</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a37c22231739a8d27dd51bff5ba63a5b6</anchor>
      <arglist>(const std::string &amp;mpsDir, const std::string &amp;netlibDir)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialSolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ebb97db84ff8a51509b9992f06bf0d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resolve</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4fe4715c58806023e74cb9d4bfe9d4d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>branchAndBound</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a56192c678080507f15731c4c69ee2576</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3fc41673f23e0d13336e8f2315ad8ed8</anchor>
      <arglist>(OsiIntParam key, int value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a43e795247cbc6f7ff8bb3b50509b186a</anchor>
      <arglist>(OsiDblParam key, double value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e630786512de53623da7fad47e92e44</anchor>
      <arglist>(OsiStrParam key, const std::string &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getIntParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a229b560a192127f4e00051ea56492e86</anchor>
      <arglist>(OsiIntParam key, int &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getDblParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a83a92b56a81de510c5d5362aa89559f6</anchor>
      <arglist>(OsiDblParam key, double &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getStrParam</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7d17f607499a9401a3d7abd5422f76bc</anchor>
      <arglist>(OsiStrParam key, std::string &amp;value) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAbandoned</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a74130230212afcf9956ef37d481c694f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenOptimal</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac7cc81a5516695961535ef307f26dc3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenPrimalInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a59d3a1ffa382555b82650e095eccbf09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProvenDualInfeasible</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7c2ecb5ca843bf7aeeb0f000a4f33e7d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPrimalObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7afd464c66a53408e97d26e4b10e8b28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDualObjectiveLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a563b90c13cbd039828546358ceb90836</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isIterationLimitReached</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8a9083d84fd6d8c25c308b5a005df010</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getEmptyWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad359a3f00ccccdca47c80d1041899e57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CoinWarmStart *</type>
      <name>getWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7eae8ba325fb28fa7805c49133d57d3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setWarmStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60ac508098e23acf27baae4ae37556</anchor>
      <arglist>(const CoinWarmStart *warmstart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a44b12eb36763b22cba26327ba9199f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>solveFromHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aff51883da4510d997e39dd2bf6d1de33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unmarkHotStart</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0362c9e14f7d07fdb9b7167270afcf93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af8210e683acf1d54605300b17eddcc92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ea7fa90ce76bdd0325f5f732fed0125</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumElements</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a020a482c6e652eed416b4a638436ea4d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a681d05af7cc238b6b2488e4ee2f8f72c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a00e848cbf81d815417ba85bc267871ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>getRowSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acaef3e1276cf683b4ad27a8e7e147e9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRightHandSide</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a52e79b28129ba58e2ce56884ffec10c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae90e5c76c953fedfe748e3d0ee555396</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a79c2484c74bcb085e6f546a3a8ef9093</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1fc95a5f2de4c5718f2c6f6156842d5a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getObjCoefficients</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a178ad116058b3f9c9f7011f40ccf55f7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjSense</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3002c28e1da9bcba0e504415605e3da7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afc2f6d4e62d23498377b73ac633504ee</anchor>
      <arglist>(int colNumber) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b46580866aa87e35195184f510c64f0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const CoinPackedMatrix *</type>
      <name>getMatrixByCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1b794846ca7380dd5e6076002f48bb2e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getInfinity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b4eec77d037094283ec2a29cb4c9325</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getColSolution</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5bd63f0808d7249c9d67151f7b8b88f5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowPrice</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aba0dea269d7b98af9a611d187daa0788</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getReducedCost</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9ed582061af38451fab4d808b8615981</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const double *</type>
      <name>getRowActivity</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af0513f14be2b95bf9e0a8c9c62d8eb8e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getObjValue</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a812f3a9a06a43e9366fd46cdfdddb4c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getIterationCount</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6e11deb85ecb15dc9ee974c4ea47b032</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getDualRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aae60505e0c4fd5aa5b90f6e88b485b2c</anchor>
      <arglist>(int maxNumRays, bool fullRay=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; double * &gt;</type>
      <name>getPrimalRays</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a782ea22ee1f9d4582a3e455bf0bcf754</anchor>
      <arglist>(int maxNumRays) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setObjCoeff</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3d1a2a3354b847d2d27dad37c1c13bd7</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a51c4650dbac138da548b4c4d86fc812e</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a24f1ab35bd750441d7631d4737dd768c</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac988cacdabb5e9f7ca5f1174e870c872</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setColSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0b6321847f1f19f8d8458e0db6f38ca6</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a036cc7ad0c23e9feef8425cd83031151</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2485d04c0e4991ea23498648bb372f9d</anchor>
      <arglist>(int elementIndex, double elementValue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af395ede4b850c6b359aa83a034057ed5</anchor>
      <arglist>(int elementIndex, double lower, double upper)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowType</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad792679d189ca042f1e6f0edcde57e3c</anchor>
      <arglist>(int index, char sense, double rightHandSide, double range)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetBounds</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4ad0b0e8d952fb84f83a1250f9a31559</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const double *boundList)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setRowSetTypes</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a36e688be96b4b7e601cd594bb12f27</anchor>
      <arglist>(const int *indexFirst, const int *indexLast, const char *senseList, const double *rhsList, const double *rangeList)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a918fc38cedd52e11c03f5cf101ce1fe4</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColLower</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af400534680816396b981b7d7a8455005</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab26eb753fca0ac04650ef110c17ab90e</anchor>
      <arglist>(int elementIndex, double elementValue)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>setColUpper</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a72843ad6192a5e5db5891233d6a508ad</anchor>
      <arglist>(const double *array)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6fd1d3e2a673136e7c4ae5fd1142ea50</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65aeee82e9a153085f7f5b909c68a7c6</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setContinuous</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af4b4180e280d858d725bc025c23fd09c</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setInteger</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a692e9fc4a2eae2d5fb6b42ae8be632dc</anchor>
      <arglist>(const int *indices, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5daddb423ec952d1077c8b889ac96e9c</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1bdbb642959ab0792bdbd88adac79a7f</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4e0e754ff11804efc4a2af47d886b53c</anchor>
      <arglist>(const int num, const int *colIndices)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab744a0e21d9e317f948f6c78987b0ffa</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4cbea52611652aaf0770f177957efbe8</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a766a574a8dc202c825f38fb8ca498434</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a660081945278c79aee5374dc1f9d5ce3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26022e9595a58df902ac8f5d67663e25</anchor>
      <arglist>(const int num, const int *rowIndices)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0943eecd48dc5bb43564d0d3f6d0dac5</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a1e45ed1697119c6a1bfe51c9da8544ba</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0de24e290845312bf17b0c2f0d7c029b</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCol</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad9dc21e813287b50b4bdc6a516fc73e4</anchor>
      <arglist>(int numberElements, const int *rows, const double *elements, const double collb, const double colub, const double obj, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac07df4703642a919d53a1d42a20c696a</anchor>
      <arglist>(const int numcols, const CoinPackedVectorBase *const *cols, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad833c91e78005b89bb17c22daaf95d30</anchor>
      <arglist>(const int numcols, const CoinBigIndex *columnStarts, const int *rows, const double *elements, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aca60f8a78babc2a9f6584d1475d336f9</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addCols</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5e9e794e31ab92ac4e476924bdb2fac5</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a54804d3ea0d4691727e68ca86a27c0c9</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8007140b8d07605789f9524f024f9ee7</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const double rowlb, const double rowub, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3b50ec92a58e6dcab48ca0e0207e17c6</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad89b9a64d02dd59903ae60f31fbcdb54</anchor>
      <arglist>(const CoinPackedVectorBase &amp;vec, const char rowsen, const double rowrhs, const double rowrng, std::string name)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRow</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adecc389126e33041b00107595b2179b0</anchor>
      <arglist>(int numberElements, const int *columns, const double *element, const double rowlb, const double rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6957503d520d7d080ba8ef47d2ceece3</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac6a528ebe53957baf5bcd13110fa0353</anchor>
      <arglist>(const int numrows, const CoinPackedVectorBase *const *rows, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function">
      <type>virtual void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a884502fe1e19b41f942bb9a3bdcb76b6</anchor>
      <arglist>(const int numrows, const CoinBigIndex *rowStarts, const int *columns, const double *element, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfaad7fc8ce5c386758c6d8c5e333efc</anchor>
      <arglist>(const CoinBuild &amp;buildObject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addRows</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6805bb6b6b4418aa27dc59c0f65327e7</anchor>
      <arglist>(CoinModel &amp;modelObject)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRlbRub</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae504346709c43c82e95b0757c88fc68b</anchor>
      <arglist>(const int rownum, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromRhsSenseRange</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8bda83f9cad03ea0d9d068d60f786fb0</anchor>
      <arglist>(const int rownum, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initFromClbCubObj</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa9b025f3c091f2f64884fac64158c771</anchor>
      <arglist>(const int colnum, const double *collb, const double *colub, const double *obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac41b0922f868043944f5d2e7ec104a04</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa3492523b42f0cfecd3f5ddfaa8f9373</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, double *&amp;rowlb, double *&amp;rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ae884922d1787a42e40cb876a48959463</anchor>
      <arglist>(const CoinPackedMatrix &amp;matrix, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assignProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3e5765e8ce5fe8a7870c8998cf40f77</anchor>
      <arglist>(CoinPackedMatrix *&amp;matrix, double *&amp;collb, double *&amp;colub, double *&amp;obj, char *&amp;rowsen, double *&amp;rowrhs, double *&amp;rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a4a1ef4400bb8721fd7d6910d60dd4b46</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const double *rowlb, const double *rowub)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aefe40fd3c07cd4a8b1898e8fdf3e56a7</anchor>
      <arglist>(const int numcols, const int numrows, const int *start, const int *index, const double *value, const double *collb, const double *colub, const double *obj, const char *rowsen, const double *rowrhs, const double *rowrng)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac05ece7535f5ee98272d910577f2257c</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2e1a80224b915bf3e5a809a137b5656d</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;, double objSense=0.0) const</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac1ab31a12e1d052aec04267e1d57418b</anchor>
      <arglist>(const char *filename, const char *extension=&quot;mps&quot;)</arglist>
    </member>
    <member kind="function">
      <type>virtual int</type>
      <name>readMps</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aec8a22eab5e244f372f3dfa83e1cd8a1</anchor>
      <arglist>(const char *filename, const char *extension, int &amp;numberSets, CoinSet **&amp;sets)</arglist>
    </member>
    <member kind="function">
      <type>VOL_problem *</type>
      <name>volprob</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a65011f6e9849a8bc8924b9e07110e947</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acbae7780d832ae3e62e651fc6e5f438d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual OsiSolverInterface *</type>
      <name>clone</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3d2b487857264d18f9ab8a19232540b</anchor>
      <arglist>(bool copyData=true) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abfc6d8568d1a8618ae49a7bdf6f0aa90</anchor>
      <arglist>(const OsiVolSolverInterface &amp;)</arglist>
    </member>
    <member kind="function">
      <type>OsiVolSolverInterface &amp;</type>
      <name>operator=</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a30c10817f816dac4aa5107305e4ccb6c</anchor>
      <arglist>(const OsiVolSolverInterface &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OsiVolSolverInterface</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a41a5645a3787a80a832623b3f4c14050</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyRowCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a288d69036d580107d0f0a701e382582b</anchor>
      <arglist>(const OsiRowCut &amp;rc)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>applyColCut</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ac965135c34b7d5c049e56f3e9db41097</anchor>
      <arglist>(const OsiColCut &amp;cc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a5ff89d0bb6f2ec7e8c4655286564450f</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af9c03548fea7f4f4e8168dc56a961f6c</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a92e031f098f71a8a061b14fad497accd</anchor>
      <arglist>(const VOL_problem &amp;, const VOL_dvector &amp;, double &amp;heur_val)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateRowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>acf1de69b8c89ebd6aabb73fff5a54941</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>updateColMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abf883ece6884162da5b3e752675b93c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>checkData_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2d4672471a9956c60b34e45f3bd240ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>compute_rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ada1f02694d77cba2fd808cce9aa9566f</anchor>
      <arglist>(const double *u, double *rc) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>gutsOfDestructor_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aaa83f9fbc524b649a7f0d07f500415f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a40d8a14a26d069f62a5642846ba159fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimAllocator_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a94ef281a85fc2df1863f9a98a06de528</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>rowRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a05a11028122647541c33f202fefc430d</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>colRimResize_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a6641420238ed18381d0a5934458f53b9</anchor>
      <arglist>(const int newSize)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertBoundsToSenses_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a8761c3b4b1a38d547b00a2347d08439f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>convertSensesToBounds_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a3ccd3e54a258132b9e7c03b5fc932fa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>test_zero_one_minusone_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11ed9eb302b60e9b512e9566caf1bee0</anchor>
      <arglist>(const CoinPackedMatrix &amp;m) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>rowMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a2c6bb6ab056d8890ca74403f04beee3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>rowMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>abc6f3b704ca28454f5fa2a1160c1525b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>colMatrixCurrent_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>adfbb1b74d7b196a7d114e01ab7022f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CoinPackedMatrix</type>
      <name>colMatrix_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa45f83d401722012d62e866cb138e9bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>isZeroOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a9a43d66116a83248f774c60ef9b92d1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>rowMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aa1aee99342795a75863588bf08912ee3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>OsiVolMatrixOneMinusOne_ *</type>
      <name>colMatrixOneMinusOne_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afa67d9059b27f15c637f7ddabc5d4b2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>af7a457af85895b24d2a58d589cc562c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>collower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>afabc5f5c35ad58b2360c19ad3b67f999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool *</type>
      <name>continuous_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>aee4d19e72cb0ee0545121e1d3d2f0826</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowupper_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ad3cea4279ed5213b02e54cf6fe0caab4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowlower_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a817ab5c159fe916da8fca218d92770b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>rowsense_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a7adff06c89544f6d6b9420f6e16cdc80</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a968ca7feb3535e9c5a3256407aef8371</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowrange_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a25c1114be8b78ff2793aa9c2fe69fe8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>objcoeffs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>ab24e216d140d02ce3a48bb0b4927c4ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>colsol_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a22559006edd316d7e684deb200236943</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rowprice_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a26ac3fb6b72c3169cbb76c1140b933ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>rc_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a0eedd79506eade28d3f74ecb0ce965b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double *</type>
      <name>lhs_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a11d3ee46399cc65041a1b54d54aad2e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lagrangeanCost_</name>
      <anchorfile>classOsiVolSolverInterface.html</anchorfile>
      <anchor>a23b24314f4984946a011604e5113d106</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_alpha_factor</name>
    <filename>classVOL__alpha__factor.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_alpha_factor</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>a6ea1390daf92949407a100697b2f921d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_alpha_factor</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>ad3cb1b3264bbd5b09d0824a9f80ca9e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>factor</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>a486a8decfcee48c051e08cbeadedfadc</anchor>
      <arglist>(const VOL_parms &amp;parm, const double lcost, const double alpha)</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>lastvalue</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>a9d549122a8de300f934add512b00ff2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>VOL_alpha_factor</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>aa9cf79dbd1fbd449a6438e49346b8f9e</anchor>
      <arglist>(const VOL_alpha_factor &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>VOL_alpha_factor &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__alpha__factor.html</anchorfile>
      <anchor>adbd93c31833aef34e31c156c56ab2df5</anchor>
      <arglist>(const VOL_alpha_factor &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_dual</name>
    <filename>classVOL__dual.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_dual</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>adc18147b2b0a7ae64a82c2024ff6d16e</anchor>
      <arglist>(const int dsize)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_dual</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a65d20e23fd34cda647d1b9c41767d3e7</anchor>
      <arglist>(const VOL_dual &amp;dual)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_dual</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a05ab5c8899418bc53cca4d64daa798b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>VOL_dual &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a2b70ee97064961f4128fbb9435910dc8</anchor>
      <arglist>(const VOL_dual &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>step</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a61e4e578bff92872ba4a584c2de2fb4c</anchor>
      <arglist>(const double target, const double lambda, const VOL_dvector &amp;dual_lb, const VOL_dvector &amp;dual_ub, const VOL_dvector &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ascent</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a6e6c247b547ab2a07a94df1c8876e5b8</anchor>
      <arglist>(const VOL_dvector &amp;v, const VOL_dvector &amp;last_u) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>compute_xrc</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a1787c83980b63497c88735c669ed4652</anchor>
      <arglist>(const VOL_dvector &amp;pstarx, const VOL_dvector &amp;primalx, const VOL_dvector &amp;rc)</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>lcost</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>ae6d9b857936f7fd405211d2f00c54495</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>xrc</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a20389534de13517ff7cae7155aa7719b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>u</name>
      <anchorfile>classVOL__dual.html</anchorfile>
      <anchor>a1a73f785e53470e712d02cb68d6bad50</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_dvector</name>
    <filename>classVOL__dvector.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_dvector</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a21f2d6a386b088d0ce15efdf68cbbcdd</anchor>
      <arglist>(const int s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_dvector</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>ad2d210a6516b3027f7a503f3888c0366</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_dvector</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>aafe6fc3d156654cea6dc9a891cf160e2</anchor>
      <arglist>(const VOL_dvector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_dvector</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>aa1a8ca9b85786d617702161014bcf95d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>af5fae10e6e4cbf6343c6c1ce2d18d366</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double &amp;</type>
      <name>operator[]</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a7ed9cc1464c97acf91ee10aec60c1848</anchor>
      <arglist>(const int i)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator[]</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a7444b9b9191ced3bce1b9487c05766ed</anchor>
      <arglist>(const int i) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>aa03368c9cd15c839c5b8f24becd8b332</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cc</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a04a643079b0c2c7c4aacdfe5c3afc8bd</anchor>
      <arglist>(const double gamma, const VOL_dvector &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>allocate</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a0ac4fab80c8daf6cbb73b36df11c3278</anchor>
      <arglist>(const int s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>af2933fff6e53a0a3a2ebc019f9c5ed7d</anchor>
      <arglist>(VOL_dvector &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>VOL_dvector &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>af4a9a6e5dc4844d435b2462c7e46606f</anchor>
      <arglist>(const VOL_dvector &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>VOL_dvector &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a7838f032464d6b8154173cc8bf6ca9b3</anchor>
      <arglist>(const double w)</arglist>
    </member>
    <member kind="variable">
      <type>double *</type>
      <name>v</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>a116e90626f67d7e96a9736ff871d78a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>sz</name>
      <anchorfile>classVOL__dvector.html</anchorfile>
      <anchor>af44989ee61d33c7b057d34d0695fffee</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_indc</name>
    <filename>classVOL__indc.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_indc</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a67a0b585fa9046cfc5c05af80895f2cb</anchor>
      <arglist>(const VOL_dvector &amp;dual_lb, const VOL_dvector &amp;dual_ub, const VOL_primal &amp;primal, const VOL_primal &amp;pstar, const VOL_dual &amp;dual)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_indc</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a970e0a9d6a3bf16f934d0658734ed415</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>v2</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>af3b7b43635ea1ff7fc38142ff33b4a4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>vu</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a728cffa53a71616dbae035dad5fa7956</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>vabs</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a4a39d2f8d87233e91e490b95f1776c7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>asc</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a6310e0c39c3e3f8849d1651df23b4762</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>VOL_indc</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a052ff777a71dae76992dbdc1db810f7c</anchor>
      <arglist>(const VOL_indc &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>VOL_indc &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__indc.html</anchorfile>
      <anchor>a6702de3c023601aee7dfdb0bd3a984c4</anchor>
      <arglist>(const VOL_indc &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_ivector</name>
    <filename>classVOL__ivector.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_ivector</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>ab9094e1322204c626bfd87e7f27c4225</anchor>
      <arglist>(const int s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_ivector</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a4577a63851b5a7d0371a94571918a78b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_ivector</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a036ea9311bb454de444bfe3738f63c18</anchor>
      <arglist>(const VOL_ivector &amp;x)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_ivector</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a1af2a5d6789a1c8ac8b08201bfba5d95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>abdb3b7244b61aaeb771bef4252ab2985</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int &amp;</type>
      <name>operator[]</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>ac39c5be4e7788e4918fe24c8d758c141</anchor>
      <arglist>(const int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>operator[]</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a9a30d407f6fef2cf0569cb3ac8df1b5c</anchor>
      <arglist>(const int i) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a8c2c3b875170d42ff13694c204a87426</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>allocate</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>ae9569325df43a8d4758c19e0f1768b24</anchor>
      <arglist>(const int s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a18528901abd421c0be516cc6f3834d90</anchor>
      <arglist>(VOL_ivector &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>VOL_ivector &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>a91a31a7512744651807c205271af7f50</anchor>
      <arglist>(const VOL_ivector &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>VOL_ivector &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>adbdfd98fd8a4fa72573f1e9785f34083</anchor>
      <arglist>(const int w)</arglist>
    </member>
    <member kind="variable">
      <type>int *</type>
      <name>v</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>aaf06eeef09d1a0b966f70cd2af4bb3fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>sz</name>
      <anchorfile>classVOL__ivector.html</anchorfile>
      <anchor>ac0ce742eb6663a70202d3859d45a6a1f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>VOL_parms</name>
    <filename>structVOL__parms.html</filename>
    <member kind="variable">
      <type>double</type>
      <name>lambdainit</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a13743ffda2a816582897be78aa991ae1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>alphainit</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a9a96c04cde4f4fae73c4f3fa4dcd3797</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>alphamin</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a1ebaf88af8211eafe2456175f01a0b36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>alphafactor</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a59799956418fbea79b3b77f5cba321ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>ubinit</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>afdaf14b5bff93a5b3b310a0a6520f528</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>primal_abs_precision</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>ae2f444706deccd6d1325befec3525737</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>gap_abs_precision</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a179592f4e8d7cd5d0c0b1c9aa50e39be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>gap_rel_precision</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a85276e75b2028f81fafc5387f463cc57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>granularity</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a5042a409ddf58dd88c290de6362510c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>minimum_rel_ascent</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a3bb0b0661ee0a7f21415ae29031d235e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ascent_first_check</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a93d1ccd76be6ff70bcebd7f81d5e7b96</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ascent_check_invl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>adc6ae5b5b61ecaf5555bf5c98c0f36c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>maxsgriters</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a282433e1f886e6c9de98c73df53621b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>printflag</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a07de3a6626ca5cf621c07956cedc8108</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>printinvl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a540257ae567e0155b1287a2ea88fa497</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>heurinvl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a4aff938ec80ba431b695e307b1b46f69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>greentestinvl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a20b3ac7014e3ab8a08d01bd061ac7b68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>yellowtestinvl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>ae9168796512edb4ac43476b6a32f649f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>redtestinvl</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a518172281f509f50be29fbc7d6743fcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>alphaint</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a51629819da7229a04a086de1d654eb8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>temp_dualfile</name>
      <anchorfile>structVOL__parms.html</anchorfile>
      <anchor>a1b66c958fb8d1bfcccc3d7b8ee7b7910</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_primal</name>
    <filename>classVOL__primal.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_primal</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a09b31a29adeb4977bb8e7e8e592ff27b</anchor>
      <arglist>(const int psize, const int dsize)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_primal</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>abfd06c669af33fdeb331b49fb43e3f73</anchor>
      <arglist>(const VOL_primal &amp;primal)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_primal</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>aa342de7401a8a49a2c17b97dcaa593d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>VOL_primal &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a0e6b8c8cd58ae89ff86fc0c160fe8a71</anchor>
      <arglist>(const VOL_primal &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cc</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>ad6e42d57f5006dc8ce78c49048ce82f2</anchor>
      <arglist>(const double alpha, const VOL_primal &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>find_max_viol</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a54c9c845ac465477f79db2ecdec70899</anchor>
      <arglist>(const VOL_dvector &amp;dual_lb, const VOL_dvector &amp;dual_ub)</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>value</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a0a0b8353799f753b65b00d67ce37048a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>viol</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a664a421d469f97c6f7dc6e0ea84fc7f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>x</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a563b44dc1a2ebdb454678ad3e9d227c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>v</name>
      <anchorfile>classVOL__primal.html</anchorfile>
      <anchor>a37fde887a382a6a7b0c9cd40bfbd2f1a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_problem</name>
    <filename>classVOL__problem.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ac967d2047afb4d011df9cc4f782697d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ab8d3ba3b0ccc0834652b3a0963e45986</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>af8476401c45737de268097a945bd92de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>solve</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>adfd281cc478bca4096c2fcea3d00c11f</anchor>
      <arglist>(VOL_user_hooks &amp;hooks, const bool use_preset_dual=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iter</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a829e09153a0dbac41693317e68c933b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>alpha</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a82eef77375522a4332e120494aedde29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>lambda</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a5aa8cdd20283eff1872570f8880f6aa8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>iter_</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>af1e412a3d628e0ba417da270d88d042d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>__pad0</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>abf2bf408a104f4d84341787fc7553f90</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>value</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a07b5d04b2708938ab20dd96a7952af1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dsol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>adcaa51d36fa7ea3f83803528b2248370</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>psol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a1aa00963c4850e2c0e4f31c52954f86b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>viol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>aae4bb0bc6ae1fc62d50c37825f3af181</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_parms</type>
      <name>parm</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a6de287df58c9f22288cbd757fcec9b8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>psize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ad785bb89595dee4864908388586d3b0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dsize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a4794c994979c4ce4ce5d38e207c3f92d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dual_lb</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a58e0ec1098bff19d929552fc38bf3644</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dual_ub</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ad1db56063692d30e282d7349a95c61a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a9c0ef1b487b4d7737a814ab8d6de4cd3</anchor>
      <arglist>(const VOL_problem &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>VOL_problem &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a9b185d707bb71e72515ff2286380ec25</anchor>
      <arglist>(const VOL_problem &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>set_default_parm</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>aec09645991ad9f068d92483412bf7a71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>read_params</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a43ad437f0bab376aa7cb077e37e4b615</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>initialize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a94ff23c52ab91e94f44c64edce4ad6fb</anchor>
      <arglist>(const bool use_preset_dual)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>print_info</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a14f421fcc8d60636ecf4a97a885d6343</anchor>
      <arglist>(const int iter, const VOL_primal &amp;primal, const VOL_primal &amp;pstar, const VOL_dual &amp;dual)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>double</type>
      <name>readjust_target</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a8db9c635db0435d790727ad4d7086507</anchor>
      <arglist>(const double oldtarget, const double lcost) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>double</type>
      <name>power_heur</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>abb3cd205a3e2461319d7ffd5bf41c827</anchor>
      <arglist>(const VOL_primal &amp;primal, const VOL_primal &amp;pstar, const VOL_dual &amp;dual) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>alpha_</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a06ca3bbd235f691502b4207a4a4a2ebc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lambda_</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>aef0eec93422ecc91fffa9f476ca2a01f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ac967d2047afb4d011df9cc4f782697d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ab8d3ba3b0ccc0834652b3a0963e45986</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_problem</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>af8476401c45737de268097a945bd92de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>solve</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>adfd281cc478bca4096c2fcea3d00c11f</anchor>
      <arglist>(VOL_user_hooks &amp;hooks, const bool use_preset_dual=false)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>alpha_</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a06ca3bbd235f691502b4207a4a4a2ebc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>lambda_</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>aef0eec93422ecc91fffa9f476ca2a01f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>value</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a07b5d04b2708938ab20dd96a7952af1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dsol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>adcaa51d36fa7ea3f83803528b2248370</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>psol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a1aa00963c4850e2c0e4f31c52954f86b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>viol</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>aae4bb0bc6ae1fc62d50c37825f3af181</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_parms</type>
      <name>parm</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a6de287df58c9f22288cbd757fcec9b8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>psize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ad785bb89595dee4864908388586d3b0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dsize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a4794c994979c4ce4ce5d38e207c3f92d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dual_lb</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a58e0ec1098bff19d929552fc38bf3644</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>VOL_dvector</type>
      <name>dual_ub</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>ad1db56063692d30e282d7349a95c61a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iter</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a829e09153a0dbac41693317e68c933b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>alpha</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a82eef77375522a4332e120494aedde29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>lambda</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a5aa8cdd20283eff1872570f8880f6aa8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>read_params</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a43ad437f0bab376aa7cb077e37e4b615</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>initialize</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a94ff23c52ab91e94f44c64edce4ad6fb</anchor>
      <arglist>(const bool use_preset_dual)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>print_info</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a14f421fcc8d60636ecf4a97a885d6343</anchor>
      <arglist>(const int iter, const VOL_primal &amp;primal, const VOL_primal &amp;pstar, const VOL_dual &amp;dual)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>double</type>
      <name>readjust_target</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>a8db9c635db0435d790727ad4d7086507</anchor>
      <arglist>(const double oldtarget, const double lcost) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>double</type>
      <name>power_heur</name>
      <anchorfile>classVOL__problem.html</anchorfile>
      <anchor>abb3cd205a3e2461319d7ffd5bf41c827</anchor>
      <arglist>(const VOL_primal &amp;primal, const VOL_primal &amp;pstar, const VOL_dual &amp;dual) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_swing</name>
    <filename>classVOL__swing.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>condition</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>green</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69da15bb29871ee4b9bad67dbc3922a7d449</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>yellow</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69dac5573a1e06fe45d985e0e8c531e7e35b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>red</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69da4c3a88bb640f4f4d07bd26345eb041c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>green</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69da15bb29871ee4b9bad67dbc3922a7d449</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>yellow</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69dac5573a1e06fe45d985e0e8c531e7e35b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>red</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a443f6ada2391fb2403f417233b2ee69da4c3a88bb640f4f4d07bd26345eb041c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VOL_swing</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a132538b623269044fc45f8838ca58539</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_swing</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a15df2c266bcd04aa7acf337c3b31ff8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cond</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>ace8b5ed91c7a396f616cb138f7c0c108</anchor>
      <arglist>(const VOL_dual &amp;dual, const double lcost, const double ascent, const int iter)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>lfactor</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a37ae31cdada325b9ad7ff9814c619f61</anchor>
      <arglist>(const VOL_parms &amp;parm, const double lambda, const int iter)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>aa0e2b66b76b521e48e68b5b4f883a25a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>enum VOL_swing::condition</type>
      <name>lastswing</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>af04f1f1d1b05bb57454d6008ae68e6f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>lastgreeniter</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>abe5e9e43d45c8f0c52628fe50a02388b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>lastyellowiter</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>afdb582a677b42d7602d5f4c2d40608a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>lastrediter</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a10f6ad108d76e015275b646512fe12d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ngs</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>afa039fa0cc782b522f1fe739ce50158b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nrs</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>aad76f3dede43a6fe1a6d5ccb85c23177</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nys</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a73bcbb13a4adaafe6d09b420068e3b7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>rd</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a30d8b99c1c179b71dbefc8c0e4435e47</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>VOL_swing</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>aae72937b1a72e9a034308d4a702f44bd</anchor>
      <arglist>(const VOL_swing &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>VOL_swing &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__swing.html</anchorfile>
      <anchor>a9405f0bdd8fca054066c1cf25d1148e2</anchor>
      <arglist>(const VOL_swing &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_user_hooks</name>
    <filename>classVOL__user__hooks.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~VOL_user_hooks</name>
      <anchorfile>classVOL__user__hooks.html</anchorfile>
      <anchor>a38ade27e2d56fe3bbecb190aaf650b3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>compute_rc</name>
      <anchorfile>classVOL__user__hooks.html</anchorfile>
      <anchor>a02a96de9e6c481841f95287b5f1de033</anchor>
      <arglist>(const VOL_dvector &amp;u, VOL_dvector &amp;rc)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>solve_subproblem</name>
      <anchorfile>classVOL__user__hooks.html</anchorfile>
      <anchor>a6e2a59bf6f61bd757174958156eb2f00</anchor>
      <arglist>(const VOL_dvector &amp;dual, const VOL_dvector &amp;rc, double &amp;lcost, VOL_dvector &amp;x, VOL_dvector &amp;v, double &amp;pcost)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>heuristics</name>
      <anchorfile>classVOL__user__hooks.html</anchorfile>
      <anchor>ad205bb00530333ccb1456e9519fc5cd7</anchor>
      <arglist>(const VOL_problem &amp;p, const VOL_dvector &amp;x, double &amp;heur_val)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VOL_vh</name>
    <filename>classVOL__vh.html</filename>
    <member kind="function">
      <type></type>
      <name>VOL_vh</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>a075794db06f3025477b52ff30b8fd6ed</anchor>
      <arglist>(const double alpha, const VOL_dvector &amp;dual_lb, const VOL_dvector &amp;dual_ub, const VOL_dvector &amp;v, const VOL_dvector &amp;vstar, const VOL_dvector &amp;u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VOL_vh</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>a0c3caad3ae348379b1684c4b56c8fb8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>hh</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>a144f65d214e67ba1589d661bf3d424eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>norm</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>ad32facc18904853762e2766b226f152a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>vh</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>aa11af0e369e975559c60b5ba4c66cca3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>asc</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>a314097fe3e926facc166aec651debff7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>VOL_vh</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>aefce210a1249ee31e5b40cf66db2bc14</anchor>
      <arglist>(const VOL_vh &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>VOL_vh &amp;</type>
      <name>operator=</name>
      <anchorfile>classVOL__vh.html</anchorfile>
      <anchor>a66d5e91f2c65e6a45fe267088ba60dce</anchor>
      <arglist>(const VOL_vh &amp;)</arglist>
    </member>
  </compound>
</tagfile>
